curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/structure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseStructure": {},
"course": {
"status": "active",
"title": "<string>",
"org": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"academicSession": {
"sourcedId": "<string>"
},
"schoolYear": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"courseCode": "<string>",
"grades": [
"-1"
],
"subjects": [
"Reading"
],
"subjectCodes": [
"<string>"
],
"level": "<string>",
"gradingScheme": "<string>",
"resources": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
],
"primaryApp": "<string>"
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Create a course structure from QTI tests
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/courses/structure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseStructure": {},
"course": {
"status": "active",
"title": "<string>",
"org": {
"sourcedId": "<string>"
},
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"academicSession": {
"sourcedId": "<string>"
},
"schoolYear": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"courseCode": "<string>",
"grades": [
"-1"
],
"subjects": [
"Reading"
],
"subjectCodes": [
"<string>"
],
"level": "<string>",
"gradingScheme": "<string>",
"resources": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
],
"primaryApp": "<string>"
}
}
'{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Created Course Structure Successfully
Show child attributes